Subject: bug#71847: Self-inflicted problem, libtool and automake installed to different prefixes

From: Dave Hart <[email-masked]>
Date: Mon, 1 Jul 2024 20:21:40 +0000

On Sun, 30 Jun 2024 at 20:31, Karl Berry <[email-masked]> wrote:

> Hi Dave,
>
>     installed and installing the prerelease version to a prefix earlier on
> my
>     $PATH, not realizing I also needed to install libtool to the same
> prefix
>
> Well, I'm glad that it's apparently not a "real" problem, but I'm rather
> baffled. When I test an automake pretest, I don't do anything to install
> libtool in the same test prefix early in PATH, and I've never had the
> problem.
>
> Unless libtool is not installed anywhere in PATH in your scenario. Then
> it makes sense :). --thanks, karl.
>

I just reproduced it on a third system and see the same issue.  It's an
ancient 32-bit SPARC Solaris 10 system with a bunch of not-quite-so-old GNU
tools under /usr/local/gnu):

hart@pogo> m4 --version | head -1
m4 (GNU M4) 1.4.16
hart@pogo> libtool --version | head -1
libtool (GNU libtool) 2.4.2
hart@pogo> autoconf --version | head -1
autoconf (GNU Autoconf) 2.71
hart@pogo> autoconf --version | head -1
autoconf (GNU Autoconf) 2.71
hart@pogo> /usr/local/gnu/bin/automake --version | head -1
automake (GNU automake) 1.16.5
hart@pogo> $HOME/usr/local/bin/automake --version | head -1
automake (GNU automake) 1.16.92
hart@pogo>

Repro steps

# wget https://davehart.net/ntp/test/ntp-4.2.8p18-vcs.tar.xz
# tar xf *p18-vcs*xz
# cd *vcs
# ./bootstrap

Works fine with 1.16.5 in /usr/local/gnu/bin, breaks with
$HOME/usr/local/bin earlier on $PATH

It might be something about the libevent configure.ac or Makefille.am, the
source tree has projects nested three deep:

configure.ac
sntp/configure.ac
sntp/libevent/configure.ac

If you are willing to spend some time, I'm guessing you could reproduce the
failure.  Thanks for taking an interest.

Cheers,
Dave Hart